--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: set filter to identity, not to nil
full_name: Irc::Socket#filter=
is_singleton: false
name: filter=
params: (f)
visibility: public
